const request = require('node-superfetch');
const fetch = require('node-fetch')
var baseURL = 'https://api.auralist.ml'
module.exports = {
    botInfo: async function (botID) {
        try {
            const { body } = await request.get(`${baseURL}/info/${botID}`);
            let json = JSON.parse(body.toString())
            return json
        } catch (err) {
            throw console.error(err)
        }
    },
    postStats: async (client, apiToken) => {
        if (!client) throw new TypeError("Client invalido o no especificado")
        if (!apiToken) throw new TypeError("La API Token no ha sido especificada");
        
        let results = await request.get(`${baseURL}/api/check/${apiToken}/${client.user.id}`);
        if (results.body == false) throw new TypeError("API Token invalida para lo que quieres hacer.");
        try {
            const data = { servers: client.guilds.cache.size, users: client.users.cache.size }
            fetch(`${baseURL}/api/post_stats/${apiToken}/${client.user.id}`, {
                method: 'post',
                body: JSON.stringify(data),
                headers: { 'Content-Type': 'application/json' }
            })
        } catch(err) {
            return;
        }
    }
}
